# Zenif 0.4.0

Zenif (pronounced "Zenith") is a cutting-edge Python library designed to enhance the efficiency and performance of your software development projects. Whether you're an experienced developer or just beginning your coding journey, Zenif provides a robust suite of tools to simplify workflows, optimize code management, and deliver exceptional functionality.

- [Zenif 0.4.0](#zenif-040)
  - [Installation](#installation)
  - [Documentation](#documentation)
    - [Modules](#modules)
  - [License](#license)

## Installation

Zenif requires Python 3.12 or higher. To install the latest version, install with `pip` or your favorite PyPi package manager.

```sh
pip install zenif
```

This command will download and install Zenif along with its dependencies. If you want to view the code that was packaged for this launch, head to this [branch](https://github.com/DomBom16/zenif/tree/31b8c532aa82640870cd0771f2998af13002a27d).

## Documentation

### Modules

- [CLI](https://github.com/DomBom16/zenif/blob/main/docs/modules/cli.md): Create command line interfaces and interactive prompts
- [Log](https://github.com/DomBom16/zenif/blob/main/docs/modules/log.md): Enhance your debugging game with a highly customizable logger
- [Decorators](https://github.com/DomBom16/zenif/blob/main/docs/modules/decorators.md): Give your functions extra functionality on the fly
- [Schema](https://github.com/DomBom16/zenif/blob/main/docs/modules/schema.md): Validate your user's inputs with intuitive syntax

## License

Zenif is released under the MIT License. See the [LICENSE](LICENSE) file for more details.

<!-- Only add acknowledgements once someone is acknowledged :( -->

<!-- ## Acknowledgements

We would like to thank all the contributors who have helped to make Zenif better. Your time and effort are greatly appreciated.

Thank you for contributing, **User1**, **User2**, ... , **UserN-1** and **UserN**.-->
